<form [formGroup]="userForm" (ngSubmit)="login()">
  <div class="container sm-6 md-6 d-flex justify-content-center">
    <mat-card class="card mt-5 d-flex" id="card" style="max-width: fit-content">
      <mat-card-content class="">
        <div>
          <button
            mat-raised-button
            color="accent"
            class="btn btn-primary btncontrol"
            routerLink="/"
          >
            Admin
          </button>
        </div>

        <div class="mt-3">
          <mat-form-field appearance="outline">
            <mat-label>UserName</mat-label>
            <input
              formControlName="UserName"
              [(ngModel)]="signup.username"
              matInput
              placeholder="UserName"
              required
            />
            <mat-error>This field is empty</mat-error>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input
              formControlName="Password"
              [(ngModel)]="signup.password"
              matInput
              type="Password"
              placeholder="Password"
              required
            />
            <mat-error>Enter the password</mat-error>
          </mat-form-field>
        </div>
        <div class="d-flex justify-content-center">
          <button mat-raised-button color="primary" routerLink="/signup">
            SignUp
          </button>
          <button
            type="submit"
            mat-raised-button
            class="btncontrol1"
            color="accent"
            [disabled]="userForm.invalid"
          >
            LogIn
          </button>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</form>
